Loading...
Searching...
No Matches
Opm::CompositionalConfig Class Reference

## Public Types

enum class | EOSType { PR , PRCORR , RK , SRK , ZJ }

## Public Member Functions

| CompositionalConfig (const Deck &deck, const Runspec &runspec)
bool | operator== (const CompositionalConfig &other) const
double | standardTemperature () const
double | standardPressure () const
const std::vector< std::string > & | compName () const
EOSType | eosType (size_t eos_region) const
const std::vector< double > & | molecularWeights (std::size_t eos_region) const
const std::vector< double > & | acentricFactors (std::size_t eos_region) const
const std::vector< double > & | criticalPressure (std::size_t eos_region) const
const std::vector< double > & | criticalTemperature (std::size_t eos_region) const
const std::vector< double > & | criticalVolume (std::size_t eos_region) const
const std::vector< double > & | binaryInteractionCoefficient (size_t eos_region) const
std::size_t | numComps () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static EOSType | eosTypeFromString (const std::string &str)
static std::string | eosTypeToString (EOSType eos)
static CompositionalConfig | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Compositional/CompositionalConfig.hpp
- opm/input/eclipse/EclipseState/Compositional/CompositionalConfig.cpp